bitel.billing.server.npay.bean

## Class ModuleQuantity

- java.lang.Object
- - bitel.billing.server.npay.bean.ModuleQuantity

- Direct Known Subclasses:
    CallModuleQuantity, PhoneModuleQuantity, PhoneSubModuleQuantity

      public abstract class ModuleQuantity
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModuleQuantity()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getId()`
    `int` | `getMid()`
    `abstract java.util.List<Period>` | `getPeriodQuantity(java.sql.Connection con, int cid, java.util.Calendar from, java.util.Calendar to)`
    `protected java.util.List<Period>` | `getPeriodsFromTable(java.sql.Connection con, java.lang.String tableName, int cid, java.util.Calendar from, java.util.Calendar to, java.lang.String filter)`
    `java.util.List<java.lang.Integer>` | `getSids()`
    `void` | `setId(int id)`
    `void` | `setMid(int mid)`
    `void` | `setSids(java.util.List<java.lang.Integer> sids)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModuleQuantity

          public ModuleQuantity()

  - ### Method Detail

    - #### getSids

          public java.util.List<java.lang.Integer> getSids()

    - #### setSids

          public void setSids(java.util.List<java.lang.Integer> sids)

    - #### getId

          public int getId()

    - #### setId

          public void setId(int id)

    - #### getMid

          public int getMid()

    - #### setMid

          public void setMid(int mid)

    - #### getPeriodQuantity

          public abstract java.util.List<Period> getPeriodQuantity(java.sql.Connection con,
                                                                   int cid,
                                                                   java.util.Calendar from,
                                                                   java.util.Calendar to)

    - #### getPeriodsFromTable

          protected java.util.List<Period> getPeriodsFromTable(java.sql.Connection con,
                                                               java.lang.String tableName,
                                                               int cid,
                                                               java.util.Calendar from,
                                                               java.util.Calendar to,
                                                               java.lang.String filter)